
*** EX04 - ADD POP-UP BOXES WITH PROVINCIAL POPULATIONS IN 10-YEAR INTERVALS;
data pop_tips;
set canada_pop;
popup = 'tip=[' ||
        quote('POPULATION (1000s)') ||
        quote('2001: ' || put(p2001,comma6.)) ||
        quote('1991: ' || put(p1991,comma6.)) ||
        quote('1981: ' || put(p1981,comma6.)) ||
        quote('1971: ' || put(p1971,comma6.)) ||
        quote('1961: ' || put(p1961,comma6.)) ||
        quote('1951: ' || put(p1951,comma6.)) ||
        ']';
run;

goptions reset=all
device=javameta
xpixels=800
ypixels=600
ftext='HelveticaBold'
htext=3
gunit=pct
;                      

pattern1 v=s c=green;

axis1
label=('POPULATION (THOUSANDS)')
order=(0 to 12000 by 2000)
;

axis2
label=('PROVINCE')
value=(j=r)
order=('NEWFOUNDLAND' 'PRINCE EDWARD ISLAND' 'NOVA SCOTIA' 'NEW BRUNSWICK' 'QUEBEC' 'ONTARIO' 'MANITOBA'
       'SASKATCHEWAN' 'ALBERTA' 'BRITISH COLUMBIA' 'YUKON' 'NORTHWEST TERRITORIES')
;

title1 h=5 "CANADIAN PROVINCES - 2001 POPULATION";

ods listing close;
ods html file='z:\canada_p2001.html' 
         parameters=("ZoomControlEnabled"="false"
                     "DataTipStyle"="stick_fixed");   

proc gchart data=pop_tips;
hbar3d province/
sumvar = p2001
shape=block
raxis=axis1
maxis=axis2
nostats
cframe=graybb
html=popup
;
where province ne '00';
format province $province. p2001 comma.;
run;
quit;     

ods html close;
ods listing;
